Subject: [XCON] Fwd: Internal WG Review: Centralized Conferencing(xcon)

From: alan.johnston at mci.com (Alan Johnston)
Date: Mon Aug 4 12:27:38 2003

FYI - progress on the formation of our working group...

Thanks,
Alan.

>Date: Mon, 04 Aug 2003 11:15:48 -0400
>From: [email-masked]
>Subject: Internal WG Review: Centralized Conferencing(xcon)
>Sender: [email-masked]
>To: [email-masked], [email-masked]
>Cc: [email-masked], [email-masked]
>Original-recipient: rfc822;[email-masked]
>
>A new IETF working group is being considered in the
>Transport Area. The draft charter for this working group is
>provided below for your review and comment.
>
>Review time is one week.
>
>The IETF Secretariat
>
>
>Centralized Conferencing (xcon)
>---------------------------------
>
>  Charter
>  Last Modified: 2003-08-04
>
>  Current Status: Proposed Working Group
>
>
>  CHAIRS: Alan Johnston ([email-masked])
>                  Adam Roach ([email-masked])
>
>  Mailing list: <http://www.softarmor.com/mailman/listinfo/xcon>
>  List-Archive: <http://www.softarmor.com/pipermail/xcon>
>
>  Transport Area
>
>  Responsible Area Director: Allison Mankin
>
>  Description of Working Group
>
>  The focus of this working group is to develop a standardized suite of
>  protocols for tightly-coupled multimedia conferences, where strong security
>  and authorization requirements are integral to the solution.
>  Tightly-coupled conferences have a central point of control and
>  authorization so they can enforce specific media and membership
>  relationships, and provide an accurate roster of participants. The media
>  mixing or combining function of a tightly-coupled conference need not be
>  performed centrally, however.
>
>  The scope of this effort is intentionally more narrow than previous
>  attempts to standardize conferencing (e.g. centralized control), and is
>  intended to enable interoperability in a commercial environment which
>  already has a number of non-standard implementations using some of the
>  protocols.
>
>  Privacy, security, and authorization mechanisms are integral to the
>  solution generated by the working group. This includes allowing
>  participants to be completely invisible or to be visible but participate
>  anonymously with respect to some or all of the other participants.
>  Authorization rules allow for participants and non-participants to have
>  roles (ex: speaker, moderator, owner), and to be otherwise authorized to
>  perform membership and media manipulation for or on behalf of other
>  participants. In order to preserve these properties, the protocols used
>  will require implementation of channel security and authentication services.
>
>  Initially this combination of protocols will be specified with respect to
>  session setup with SIP. The solutions developed in XCON will not preclude
>  operation with other signaling protocols; however it is anticipated that
>  the use of other protocols would require modifications which are out of
>  scope for this working group.
>
>  None of the protocols defined by this group will be SIP, although the SIP
>  specific event notification framework will be used. The group will use the
>  high-level requirements and framework already described by documents
>  published by the SIPPING WG.
>
>  The deliverables for the group will be:
>  - - A mechanism for membership and authorization control
>  - - A mechanism to manipulate and describe media "mixing" or "topology" for
>  multiple media types (audio, video, text)
>  - - A mechanism for notification of conference related events/changes (for
>  example a floor change)
>  - - A basic floor control protocol
>
>  The initial set of protocols will be developed for use in unicast media
>  conferences. The working group will perform a second round of work to
>  enhance the set of protocols as necessary for use with multicast media
>  after their initial publication.
>
>  The following items are specifically out-of-scope:
>  - - Voting
>  - - Fully distributed conferences
>  - - Loosely-coupled conferences (no central point of control)
>  - - Far-end device control
>  - - Protocol used between the conference controller and the mixer(s)
>  - - Capabilities negotiation of the mixer(s)
>  - - Master-slave cascaded conferences
>
>  The working group will coordinate closely with the SIPPING and MMUSIC
>  working groups. In addition the working group will cooperate with other
>  groups as needed, including SIP, AVT, and the W3C SMIL working groups.
>  In addition, the working group will consider a number of existing drafts (a
>  non-exhaustive list is included below) as input to the working group.
>
>  Proposed Milestones
>
>  Oct 2003 Submit Requirements for Membership Manipulation for publication as
>  Informational
>  Oct 2003 Submit Requirements for Basic Floor Control for publication as
>  Informational
>  Nov 2003 Submit Conferencing Scenarios document for publication as
>  Informational
>  Nov 2003 Submit Use Cases for Media Topology Control for publication as
>  Informational
>  Dec 2003 Submit Requirements for Media Topology Control for publication as
>  Informational
>  Feb 2004 Submit Basic Floor Control Protocol for publication as PS
>  Mar 2004 Submit Notification Event package extension for conference related
>  events for publication as PS
>  May 2004 Submit Membership Manipulation Protocol for publication as PS
>  Jul 2004 Submit Protocol for Media Topology Control for publication as PS
>
>
>